Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.storage.management
Interface StorageServiceMBean

public interface StorageServiceMBean

Storage Service MBean interface.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `active` Get storage service status.

Method Summary
`String` | `getProviderName(String storeName)` Get provider name for store.
`int` | `getStoreSize(String storeName)` Get store size.
`String` | `getTableName(String storeName)` Get database table name for store.
`String` | `getTypeId(String storeName)` Get type id for a store.
`boolean` | `isActive()` Returns the state of the Storage Service.
`String[]` | `listStoreNames()` Get configured store names.

Field Detail

### active

    public static final boolean active

  Get storage service status. True if the Storage Service is active, false if an initialization error occured.

  See Also:
    Constant Field Values

Method Detail

### getProviderName

    public String getProviderName(String storeName)

  Get provider name for store.

  Parameters:
    `storeName` - The store name.
  Returns:
    The provider name for the store or null if no such store is configured.

### getStoreSize

    public int getStoreSize(String storeName)

  Get store size.

  Parameters:
    `storeName` - The name of the store.
  Returns:
    The number of entries in the store or -1 if no such store is configured.

### getTableName

    public String getTableName(String storeName)

  Get database table name for store.

  Parameters:
    `storeName` - The store name.
  Returns:
    The database table name for the store or null if no such store or table is configured.

### getTypeId

    public String getTypeId(String storeName)

  Get type id for a store.

  Parameters:
    `storeName` - The name of the store.
  Returns:
    The type id for the store or null if no such store is configured.

### isActive

    public boolean isActive()

  Returns the state of the Storage Service.

  Returns:
    True if the Storage Service is active, false if an initialization error occured.

### listStoreNames

    public String[] listStoreNames()

  Get configured store names.

  Returns:
    Names of stores having configuration in the Storage Service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD